
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<div id="app">
		<input type="text" @keyup.enter='pesan'/>
	</div>
    <div id="apps">
        <input v-on:keyup.enter="onEnter" />
        <h1>{{ msg }}</h1>
      </div>
      <div id="vue-app">
        <h1>Keyboard Event</h1>

        <form action="">
            <input type="text" v-on:keyup.enter="logName()"> <span>Name</span>
            <input type="text" v-on:keyup.enter.alt="logEmail()"> <span>Email</span>
        </form>
    </div>
 
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
	<script>
        const vue = new Vue({
    el: '#vue-app',
    data: {
        
    }, 
    methods: {
        logName: () => {
            console.log('enter the name')
        }, 
        logEmail: () => {
            console.log('enter the email')
        }     
    },
});
		var app = new Vue({
			el: '#app',
			methods: {
				pesan: function () {
					alert('Anda menekan tombol Enter')
				}
			}
		});
        var vm = new Vue({
  el: '#appse',
  data: {msg: ''},
  methods: {
    onEnter: function() {
       this.msg = 'on enter event';
    }
  }
});
	</script>
</body>
</html>